Linux webserver 6.8.0-49-generic #49~22.04.1-Ubuntu SMP PREEMPT_DYNAMIC Wed Nov 6 17:42:15 UTC 2 x86_64
Apache/2.4.52 (Ubuntu)
Server IP : 192.168.1.1 & Your IP : 3.22.70.140
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
lib /
cryptsetup /
scripts /
Delete
Unzip
Name
Size
Permission
Date
Action
decrypt_derived
1.08
KB
-rwxr-xr-x
2022-01-13 21:44
decrypt_gnupg
570
B
-rwxr-xr-x
2022-01-13 21:44
decrypt_gnupg-sc
953
B
-rwxr-xr-x
2022-01-13 21:44
decrypt_keyctl
1.99
KB
-rwxr-xr-x
2022-01-13 21:44
decrypt_opensc
1.36
KB
-rwxr-xr-x
2022-01-13 21:44
decrypt_ssl
347
B
-rwxr-xr-x
2022-01-13 21:44
passdev
14.3
KB
-rwxr-xr-x
2023-08-22 17:16
Save
Rename
#!/bin/sh # Why not use "openct-tool rwait" instead of polling opensc-tool exit status? # Well openct daemon has to be running which interferes with pcscd since both # implement reader drivers, my particular CCID reader (SCM SCR331-LC1) doesn't # work with the CCID driver in openct, however it does work with pcscd. # Why not use "opensc-tool --wait" instead of polling opensc-tool exit status? # Although opensc-tool --help reports that there is a --wait option, it doesn't # seem to be implemented. check_card() { cardfound=0 if /usr/bin/opensc-tool -n >/dev/null 2>&1; then cardfound=1 fi } wait_card() { check_card if [ $cardfound = 0 ] ; then echo "Waiting for Smart Card..." >&2 tries=0 while [ $cardfound = 0 ] && [ $tries -lt 60 ] ; do sleep 1 check_card tries=$(($tries + 1)) done if [ $cardfound = 0 ] ; then echo 'Failed to find Smart Card card!' >&2 exit 1 fi fi } wait_card if [ -x /bin/plymouth ] && plymouth --ping; then # Get pin number from plymouth /usr/bin/pkcs15-crypt --decipher --input "$1" --pkcs1 --raw \ --pin "$(plymouth ask-for-password --prompt "Enter pin for $CRYPTTAB_NAME: ")" else # Get pin number from console /usr/bin/pkcs15-crypt --decipher --input "$1" --pkcs1 --raw </dev/console 2>/dev/console fi exit $?